#include "config.hpp"

Config::Config(const std::string src_path) : $src_path(src_path) {
  std::ifstream infile($src_path);
  $config = json::parse(infile);
}

json &Config::operator[](const std::string &key) {
  return $config[key];
}

std::wstring Config::wstring(const std::string main_key, const std::string sub_key) {
  std::wstring_convert<std::codecvt_utf8_utf16<wchar_t>> $converter;
  const std::string& str_val = $config[main_key][sub_key];
  return $converter.from_bytes(str_val);
}
